List subdesks (teams)
Lists the subdesks (teams) of a desk
Retrieves all subdesks for a desk. By default, excludes the Main Subdesk (use include_main=true to include it).
Authorizations
AuthorizationstringRequired
Harmony access key, sent as Authorization: AccessKey <your-key>. Create keys in Settings > Access Keys. The tenant is resolved from the key.
Path parameters
desk_idstringRequired
Desk ID
Query parameters
include_mainbooleanOptionalDefault:
Include Main Subdesk in results
falseinclude_auto_assignmentbooleanOptionalDefault:
Include auto-assignment settings for each subdesk
falseResponses
200
Successful Response
application/json
Response containing list of subdesks.
422
Validation Error
application/json
get/api/v1/desks/{desk_id}/subdesks
GET /service-desk/api/v1/desks/{desk_id}/subdesks HTTP/1.1
Host: api.harmony.io
Authorization: YOUR_API_KEY
Accept: */*
{
"subdesks": [
{
"id": "text",
"desk_id": "text",
"name": "text",
"description": "text",
"timezone": "text",
"is_default": true,
"employees": [
{
"employee_id": "text"
}
],
"auto_assignment_settings": {
"enabled": true,
"assignment_method": "round_robin",
"employee_scope_ids": [
"text"
],
"last_assigned_employee_id": "text",
"open_tickets_threshold": 1,
"daily_reset_time": "text",
"skip_out_of_office": false,
"ooo_sources": [
"text"
],
"inherit_auto_assignment": true,
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
},
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
]
}Last updated
Was this helpful?
